php.net |  support |  documentation |  report a bug |  advanced search |  search howto |  statistics |  random bug |  login
Bug #62056 HTTP functions do not work for php 5.4
Submitted: 2012-05-17 22:33 UTC Modified: 2013-03-04 10:13 UTC
Votes:1
Avg. Score:5.0 ± 0.0
Reproduced:1 of 1 (100.0%)
Same Version:1 (100.0%)
Same OS:1 (100.0%)
From: chudinov at yahoo dot com Assigned: ab (profile)
Status: Closed Package: pecl_http (PECL)
PHP Version: 5.4.3 OS: Windows all
Private report: No CVE-ID: None
View Add Comment Developer Edit
Welcome! If you don't have a Git account, you can't do anything here.
You can add a comment by following this link or if you reported this bug, you can edit this bug over here.
Block user comment
Status: Assign to:
Package:
Bug Type:
Summary:
From: chudinov at yahoo dot com
New email:
PHP Version: OS:

 

 [2012-05-17 22:33 UTC] chudinov at yahoo dot com
Description:
------------
PHP HTTP functions do not work for php 5.4 
http://www.php.net/manual/en/book.http.php

Looks like php_http.dll is not available for php 5.4


Patches

Add a Patch

Pull Requests

Add a Pull Request

History

AllCommentsChangesGit/SVN commitsRelated reports
 [2012-05-18 01:25 UTC] Reeze dot xia at gmail dot com
This extension didn't bundled with php you have to install it mannuall.
 [2012-05-18 10:55 UTC] cataphract@php.net
-Package: HTTP related +Package: pecl_http
 [2012-05-18 12:04 UTC] chudinov at yahoo dot com
But where to find the windows dll file php_http.dll for 5.4?
 [2012-06-07 16:45 UTC] jinmoku at hotmail dot com
https://github.com/stealth35/stealth35.github.com/downloads

;)
 [2012-06-07 21:51 UTC] chudinov at yahoo dot com
Thanks for that link. Nice that someone takes care about these php libraries.
But unfortunately only thread-safe versions are available.
 [2012-06-12 12:36 UTC] jinmoku at hotmail dot com
No prob, I just build to you the nts version, tell me if you need something else
https://github.com/stealth35/stealth35.github.com/downloads
 [2012-06-14 10:55 UTC] chudinov at yahoo dot com
Thank you mate. But this nts php_http.dll does not load.
I get an error "The ordinal 68 could not be located in the dynamic link library zlib1.dll". I have zlib1.dll version 1.2.5 in the system but something is wrong anyway.
 [2013-01-11 02:10 UTC] wynn at gmail dot com
try this:

TS: http://www.mediafire.com/?2j4l0inra8ud45p
NTS: http://www.mediafire.com/?50ddg9eml3msceb

tested under 5.4.10 NTS.
 [2013-03-02 16:56 UTC] mike@php.net
Pierre, is there anything blocking to build pecl-http-1.7.4 for PHP-5.4?
 [2013-03-02 16:56 UTC] mike@php.net
-Assigned To: +Assigned To: pajoye
 [2013-03-02 16:58 UTC] pajoye@php.net
-Assigned To: pajoye +Assigned To: ab
 [2013-03-02 18:00 UTC] ab@php.net
-Status: Assigned +Status: Feedback
 [2013-03-02 18:00 UTC] ab@php.net
Well, the 1.7.4 DLLs are patiently waiting for long for their users :)

http://windows.php.net/downloads/pecl/releases/http/1.7.4/

Built in mid Nov. 2012, but the APIs should be compatible. Please ping back otherwise.
 [2013-03-04 10:13 UTC] ab@php.net
-Status: Feedback +Status: Closed
 [2013-03-04 10:13 UTC] ab@php.net
1.7.5 available from now on too, http://windows.php.net/downloads/pecl/releases/http/1.7.5/
 
PHP Copyright © 2001-2022 The PHP Group
All rights reserved.
Last updated: Fri Dec 02 22:03:43 2022 UTC